FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202008210157.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202008210157.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=f29816903f4c3057db97cb848305ba2778f6f589 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=11+ KUBE_GIT_VERSION=v1.11.7-beta.0.0.20181219023948-b875d52ea96d+f298169 OS_GIT_COMMIT=f298169 OS_GIT_VERSION=4.4.0-202008210157.p0-f298169 SOURCE_DATE_EPOCH=1595523601 SOURCE_GIT_COMMIT=f29816903f4c3057db97cb848305ba2778f6f589 SOURCE_GIT_TAG=f2981690 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/openshift/sriov-network-operator
COPY . .
RUN make _build-webhook BIN_PATH=build/_output/cmd

FROM openshift/ose-base:v4.4.0.20200821.035901
ENV __doozer=update BUILD_RELEASE=202008210157.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202008210157.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=f29816903f4c3057db97cb848305ba2778f6f589 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=11+ KUBE_GIT_VERSION=v1.11.7-beta.0.0.20181219023948-b875d52ea96d+f298169 OS_GIT_COMMIT=f298169 OS_GIT_VERSION=4.4.0-202008210157.p0-f298169 SOURCE_DATE_EPOCH=1595523601 SOURCE_GIT_COMMIT=f29816903f4c3057db97cb848305ba2778f6f589 SOURCE_GIT_TAG=f2981690 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/cmd/webhook /usr/bin/webhook
CMD ["/usr/bin/webhook"]

LABEL \
        io.k8s.display-name="OpenShift sriov-network-webhook" \
        io.k8s.description="This is an admission controller webhook that mutates and validates customer resources of sriov network operator." \
        io.openshift.tags="openshift,networking,sr-iov" \
        maintainer="Multus team <multus-dev@redhat.com>" \
        name="openshift/ose-sriov-network-webhook" \
        com.redhat.component="sriov-network-webhook-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202008210157.p0" \
        io.openshift.build.commit.id="f29816903f4c3057db97cb848305ba2778f6f589" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/f29816903f4c3057db97cb848305ba2778f6f589" \
        version="v4.4.0"

